from django import forms
from django.forms import ModelForm
from .models import WorkSpecification


class WorkSpecificationForm(ModelForm):

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self.fields['inputs'].required = False
    class Meta:
        model = WorkSpecification
        fields = ['filters', 'selected_workflow', 'processing_site', 'inputs', 'batch_size']
        labels = {
            'filters': 'Filters',
            'selected_workflow': 'Selected workflow',
            'processing_site': 'Processing Site (ATDB)',
            'inputs': 'Inputs',
            'batch_size': '# of files per ATDB tasks'
        }
