from abc import ABC

from rest_framework import serializers
from .models import DataProduct, DataLocation, WorkSpecification, ATDBProcessingSite


class ATDBProcessingSiteSerializer(serializers.ModelSerializer):
    class Meta:
        model = ATDBProcessingSite
        fields = '__all__'


class DataLocationSerializer(serializers.ModelSerializer):
    class Meta:
        model = DataLocation
        fields = '__all__'


class DataProductSerializer(serializers.ModelSerializer):
    class Meta:
        model = DataProduct
        fields = "__all__"


class DataProductFlatSerializer(serializers.ModelSerializer):
    class Meta:
        model = DataProduct
        exclude = ('location',)

    def create(self, validated_data):
        return DataProduct.insert_dataproduct(**validated_data)


class WorkSpecificationSerializer(serializers.ModelSerializer):
    class Meta:
        model = WorkSpecification
        fields = '__all__'

    def create(self, validated_data):
        validated_data['created_by'] = self.context['request'].user
        instance = super().create(validated_data)
        return instance
