import unittest

from lofardata.tasks import split_entries_to_batches


class SplitEntries(unittest.TestCase):
    def test_no_splitting(self):
        res = split_entries_to_batches([*range(10)], 0)
        self.assertListEqual(res, [[*range(10)]])

    def test_splitting_empty_array(self):
        res = split_entries_to_batches([], 2)
        self.assertListEqual(res, [])

    def test_splitting_bs1(self):
        res = split_entries_to_batches([*range(10)], 1)
        self.assertEqual(len(res), 10)
        # TODO: check contents

    def test_splitting_exact_match(self):
        res = split_entries_to_batches([*range(9)], 3)
        self.assertEqual(len(res), 3)

    def test_splitting_with_left_over(self):
        res = split_entries_to_batches([*range(10)], 3)
        self.assertEqual(len(res), 4)
        self.assertEqual(len(res[-1]), 1)
